专业的广州网站建设广州网站制作公司为您服务,电话:020-82160537,15817008887 刘小姐。
义通广州网站建设、广州网站制作
  • 网站首页
  • 企业简介
  • 网站建设
  • 快速建站
  • 案例展示
  • 最新动态
  • 域名空间
  • 服务中心
  • 联系我们
  • 联系我们
    Contact Us
  • 联系电话:020-82160537
  • 业务手机:15817008887
  • QQ:1241722037 848139967
  • 邮箱:admin@158558.cn
  • 地址:广州市天河区五山路135-137号天立大厦558室
  • 首页 - 最新动态 - 行业新闻

    NetBeans IDE 6.9.1 正式发布

    发布日期:[2010-09-08] 

    NetBeans 是一个为软件开发者提供的自由、开源的集成开发环境。是一个开放框架,可扩展的开发平台,可以用于Java,C语言/C++,PHP,Python,Ruby等程序的开发,本身是一个开发平台,可以通过扩展插件来扩展功能。

    NetBeans 可以在多种平台上运行,包括 Windows、Linux、Mac OS X 以及 Solaris;详细如下:

    NetBeans IDE 6.9.1 在 NetBeans IDE 6.9 的基础上进行了少量更新,其中涉及以下变化:

    提供了与 JavaFX SDK 1.3.1 捆绑在一起的最新 IDE
    改进了 JavaFX 调试器
    修复了 JavaFX 编写器和编辑器中的重要可用性问题
    自 6.9 最终发行版之后,对其他模块进行了重要错 误修复
    版本 6.9 中包含的对版本 6.8 所做的以下更新同样适用于 6.9.1:

    使用 JavaFX 编写器简化并可视化 JavaFX 开发
    在 NetBeans 平台中支持 Equinox 和 Felix OSGi 框架
    支持 Spring Framework 3.0 库
    Java CardTM 3 Connected
    支持 Rails 3.0 Beta
    支持 PHP Zend 框架
    支持上下文和依赖关系注入 (Contexts and Dependency Injection, CDI) (JSR-299)
    NetBeans IDE 6.9 新增功能和重要功能页中列出了其他增强功能。
    注意:不支持在任何具备 Java TM SE Development Kit (JDK) 5.0 的平台上安装此发行版。您的系统中必须具有 JDK 6.0 或以上版本才能安装并运行 NetBeans IDE 6.9.1。

    What’s New in 6.9.1
    NetBeans IDE 6.9.1 is a minor update to NetBeans IDE 6.9 and includes the following changes:

    Availability of the latest IDE bundled with JavaFX SDK 1.3.1
    Improvements to the JavaFX debugger
    Important usability issues fixed in the JavaFX Composer and Editor
    Critical bug fixes made to other modules since the 6.9 final release
    The following updates to the 6.8 release included in version 6.9 also apply to 6.9.1:

    JavaFX Composer to simplify and visualize JavaFX development
    Support for Equinox and Felix OSGi frameworks in NetBeans Platform
    Spring Framework 3.0 library support
    Java CardTM 3 Connected
    Rails 3.0 Beta support
    PHP Zend Framework support
    Support for JSR-299, Contexts and Dependency Injection (CDI)
    Additional Enhancements are listed on the NetBeans IDE 6.9 New and Noteworthy page.
    Note: The Java TM SE Development Kit (JDK) 5.0 is not supported on any platform for this release. You must have JDK 6.0 on your system to install and run NetBeans IDE 6.9.1.

    For more about this release, see the NetBeans IDE 6.9.1 Release Information page.

    Supported Technologies
    NetBeans IDE 6.9.1 supports the following technologies and has been tested with the following application servers. If you plan to use versions other than those explicitly listed, please note that you may encounter unpredictable IDE behavior. See the NetBeans IDE 6.9.1 Supported Platforms page for more details on the tested platforms and runtimes for this release.

    Supported technologies:
    Java EE 5, Java EE 6 and J2EE 1.4
    JavaFX SDK 1.3.1
    Java ME SDK 3.0
    Java Card 3.0.2
    Struts 1.3.8
    Spring 3.0, 2.5
    Hibernate 3.2.5
    Java API for RESTful Web Services (JAX-RS) 1.1
    Issue Tracking
    Bugzilla 3.4 and earlier
    Jira 3.4 and earlier
     PHP 5.3, 5.2, 5.1
    Ruby 1.9, 1.8
    JRuby 1.5.0
    Rails 2.3.4, 3.0 Beta
    Groovy 1.6.4
    Grails 1.1
    VCS
    CVS: 1.11.x, 1.12.x
    Subversion: 1.5.x, 1.6.x
    Mercurial: 1.0.x or later
    ClearCase V7.0  

    Tested application servers:
    GlassFish Server Open Source Edition 3.0.1
    GlassFish Enterprise Server v2.1.1
    Sun Java System Application Server PE 8.2
    WebLogic 11g (10.3.3.0)
    Tomcat 6.0.26
    Tomcat 5.5
    JBoss 5.0
    JBoss 4.2.3 (J2EE 1.4)

  • ICP/ISP经营许可证号:粤B2-20061054。
    我们主要提供的服务:广州网站建设、网站制作、网页设计制作、网站优化推广、域名空间等。
  • Copyright © 2006-2011 义通广州网站建设、广州网站制作